# Interface methods for submodule: ImageMaskSpatialObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSpatialObjectProxy as _ImageSpatialObjectProxy


# Interface methods for class: ImageMaskSpatialObject
class ImageMaskSpatialObjectProxy(_ImageSpatialObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def IsInsideInObjectSpace(self, point: Sequence[float]) -> bool:
		""""""
		...

	def SetMaskValue(self, _arg: int) -> None:
		""""""
		...

	def GetMaskValue(self) -> int:
		""""""
		...

	def UseMaskValueOn(self) -> None:
		""""""
		...

	def UseMaskValueOff(self) -> None:
		""""""
		...

	def SetUseMaskValue(self, _arg: bool) -> None:
		""""""
		...

	def GetUseMaskValue(self) -> bool:
		""""""
		...

	def ComputeMyBoundingBoxInIndexSpace(self) -> ImageRegion:
		""""""
		...

